Package org.apache.sling.feature.maven.mojos.reports

# Class DuplicatesReporter

java.lang.Object
org.apache.sling.feature.maven.mojos.reports.DuplicatesReporter

All Implemented Interfaces:
  `Reporter`

public class DuplicatesReporter extends Object implements Reporter

## Constructor Summary

Constructors
Constructor
Description
`DuplicatesReporter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`generateReport(ReportContext ctx)`
`String`
`getName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DuplicatesReporter

public DuplicatesReporter()

## Method Details

### getName

public String getName()

Specified by:
  `getName` in interface `Reporter`

### generateReport

public void generateReport(ReportContext ctx) throws org.apache.maven.plugin.MojoExecutionException

Specified by:
  `generateReport` in interface `Reporter`
Throws:
  `org.apache.maven.plugin.MojoExecutionException`